bm::bit_grabber< T, BPC > Struct Template Reference

`#include <bmtrans.h>`

Inheritance diagram for bm::bit_grabber< T, BPC >:
[legend]

## Static Public Member Functions

static unsigned | get (const T *, unsigned)

## Detailed Description

template<typename T, unsigned BPC>
struct bm::bit_grabber< T, BPC >

Bit array grabber - template specitialization for various basic types

Definition at line 82 of file bmtrans.h.

## Member Function Documentation

## get()

template<typename T, unsigned BPC>

unsigned bm::bit_grabber< T, BPC >::get | ( | const T * | ,
|  | unsigned | )

inline static

Definition at line 85 of file bmtrans.h.

References BM_ASSERT.

Referenced by bm::vect_bit_transpose().

The documentation for this struct was generated from the following file:

- bmtrans.h